#
# spec file for package servletapi5
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           servletapi5
BuildRequires:  ant
BuildRequires:  java-1_5_0-gcj-compat-devel
BuildRequires:  xml-commons-apis-bootstrap
#!BuildIgnore:  xml-commons xml-commons-resolver xerces-j2 xml-commons-apis
#!BuildIgnore:  xml-commons-jaxp-1.3-apis
%define	base_name	servletapi
%define	major_version	5
%define	name		%{base_name}%{major_version}
%define full_name	jakarta-%{base_name}
%define	version		5.0.18
%define release		1jpp
%define section		free
Version:        5.0.18
Release:        287.3
Summary:        Java servlet and JSP implementation classes
License:        Apache-2.0
Group:          Development/Libraries/Java
Source:         %{full_name}-5-src.tar.gz
Patch150:       java150_build.patch
Url:            http://jakarta.apache.org/tomcat/
Requires:       /usr/sbin/update-alternatives
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       servlet
Provides:       servlet24
Provides:       servlet5

%description
This subproject contains the source code for the implementation classes
of the Java Servlet and JSP APIs (packages javax.servlet).

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -c -T -a 0 -n %{full_name}-5-src
%patch150

%build
# Fix us a license file first
cp -f jakarta-tomcat-%{version}-src/jakarta-servletapi-5/jsr154/LICENSE .
cd jakarta-tomcat-%{version}-src/jakarta-servletapi-5
find . -type f -name "*.jar" -exec rm -f {} \;
pushd .
cd jsr154
ant jar examples -Dservletapi.build=build -Dservletapi.dist=dist
popd 
pushd .
cd jsr152
ant jar examples -Dservletapi.build=build -Dservletapi.dist=dist
popd

%install
cd jakarta-tomcat-%{version}-src/jakarta-servletapi-5
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 jsr152/dist/lib/jsp-api.jar $RPM_BUILD_ROOT%{_javadir}/jspapi-%{version}.jar
install -m 644 jsr154/dist/lib/servlet-api.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

%files
%defattr(-,root,root)
%doc LICENSE
%{_javadir}/*

%changelog
* Fri Aug 23 2013 mvyskocil@suse.com
- drop javadoc package
* Mon Nov  8 2010 mvyskocil@suse.cz
- Build ignore xml-commons-1.3-jaxp-apis
* Mon Jul 28 2008 coolo@suse.de
- yet another package to ignore
* Mon Jul 28 2008 coolo@suse.de
- build without openjdk to avoid cycle
* Mon Sep 25 2006 dbornkessel@suse.de
- java150 fixes: added target="1.4" and source="1.4"
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Thu Sep 16 2004 skh@suse.de
- Fix prerequires of javadoc subpackage
* Thu Sep  2 2004 skh@suse.de
- Initial package created with version 5.0.18 (JPackage 1.5)
